summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Ryan Gardner <ryan.gardner@coxautoinc.com>2021-05-17 19:56:24 -0400
committerGravatar Dirk Hohndel <dirk@hohndel.org>2021-05-20 15:10:52 -0700
commit87e203ea507907f6e394cfc7ddcdc35d3099be22 (patch)
tree722ebef00ceab963cfac8c1e25f5295187fd2937 /scripts
parenteffd0dbae8bd7b21d386cb68653e80a87e82e6bf (diff)
downloadsubsurface-87e203ea507907f6e394cfc7ddcdc35d3099be22.tar.gz
make whitespace in build script match existing whitespace
Signed-off-by: Ryan Gardner <ryan.gardner@coxautoinc.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/build.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/scripts/build.sh b/scripts/build.sh
index 133c483f2..aa53269b1 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -159,13 +159,13 @@ if [ "$PLATFORM" = Darwin ] ; then
# find a 10.x base SDK to use, or if none can be found, find a numbered 11.x base SDK to use
BASESDK=$(ls $SDKROOT | grep "MacOSX10\.1.\.sdk" | head -1 | sed -e "s/MacOSX//;s/\.sdk//")
if [ -z "$BASESDK" ] ; then
- BASESDK=$(ls $SDKROOT | grep -E "MacOSX11\.[0-9]+\.sdk" | head -1 | sed -e "s/MacOSX//;s/\.sdk//")
- if [ -z "$BASESDK" ] ; then
- echo "Cannot find a base SDK of type 10.x or 11.x under the SDK root of ${SDKROOT}"
- exit 1;
- fi
- fi
- echo "Using ${BASESDK} as the BASESDK under ${SDKROOT}"
+ BASESDK=$(ls $SDKROOT | grep -E "MacOSX11\.[0-9]+\.sdk" | head -1 | sed -e "s/MacOSX//;s/\.sdk//")
+ if [ -z "$BASESDK" ] ; then
+ echo "Cannot find a base SDK of type 10.x or 11.x under the SDK root of ${SDKROOT}"
+ exit 1;
+ fi
+ fi
+ echo "Using ${BASESDK} as the BASESDK under ${SDKROOT}"
OLDER_MAC="-mmacosx-version-min=${BASESDK} -isysroot${SDKROOT}/MacOSX${BASESDK}.sdk"
OLDER_MAC_CMAKE="-DCMAKE_OSX_DEPLOYMENT_TARGET=${BASESDK} -DCMAKE_OSX_SYSROOT=${SDKROOT}/MacOSX${BASESDK}.sdk/"